net.sf.jasperreports.engine.component

## Interface ComponentCompiler

- All Known Implementing Classes:
    BarbecueCompiler, BarcodeCompiler, IconLabelComponentCompiler, ListComponentCompiler, MapCompiler, SortComponentCompiler, SpiderChartCompiler, TableCompiler

      public interface ComponentCompiler

  Responsible with handling a componet during report compile.
  Version:
    $Id: ComponentCompiler.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectExpressions(Component component, JRExpressionCollector collector)` Collects report expressions from a component.
    `Component` | `toCompiledComponent(Component component, JRBaseObjectFactory baseFactory)` Provides a "compiled" component instance that will be included in the compiled report.
    `void` | `verify(Component component, JRVerifier verifier)` Logically verifies a component.

- - ### Method Detail

    - #### collectExpressions

          void collectExpressions(Component component,
                                JRExpressionCollector collector)

      Collects report expressions from a component.
      Parameters:
        `component` - the component
        `collector` - the expression collector

    - #### verify

          void verify(Component component,
                    JRVerifier verifier)

      Logically verifies a component.
      Parameters:
        `component` - the component
        `verifier` - the verifier object, which can be used to raise validation errors
      See Also:
        `JRVerifier.getCurrentComponentElement()`

    - #### toCompiledComponent

          Component toCompiledComponent(Component component,
                                      JRBaseObjectFactory baseFactory)

      Provides a "compiled" component instance that will be included in the compiled report.
      Parameters:
        `component` - the component from the design report
        `baseFactory` - the factory of base/compiled report elements
      Returns:
        a component instance that is to be included in the compiled report

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com